/***********************************************************************
 * LPRng IFHP Filter.
 * Copyright (C) 1994-1997 Patrick Powell, San Diego, CA <papowell@sdsu.edu>
 * Copyright (C) 2007 Randy Bulter, Huntington, MA <randy@familybusinesssoftware.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */



/**************************************************************************
 * LPRng IFHP Filter
 * Copyright 1994-1997 Patrick Powell, San Diego, CA <papowell@sdsu.edu>
 *
 * Based on the CTI printer filters.
 *  See COPYRIGHT for details.
 *
 * $Id: common.h,v 1.1 1997/05/30 18:53:54 papowell Exp $
*/


/****************************************************************************
 * Modification History:
 *  Extracted from ifhp4.c
 *
 * 	Revision 1.11	95/08/22	15:01:07
 *		 Version 1.2 initiated and Porting to Solaris.
 *
 */

#ifndef _COMMON_H
#define _COMMON_H 1

#ifdef EXTERN
# undef EXTERN
# undef DEFINE
# define EXTERN
# define DEFINE(X) X
#else
# undef EXTERN
# undef DEFINE
# define EXTERN extern
# define DEFINE(X)
#endif

#undef _PARMS__
#ifdef __STDC__
#define _PARMS__(X) X
#else
#define _PARMS__(X) ()
#endif

#if defined(HAVE_STDARGS)
void do_log _PARMS__( (int kind, char *msg,...) );
void fatal _PARMS__( ( char *msg,...) );
void do_logerr _PARMS__( (int kind, char *msg,...) );
void do_logerr_die _PARMS__( (int kind, char *msg,...) );
int plp_snprintf (char *str, size_t count, const char *fmt, ...);
int vplp_snprintf (char *str, size_t count, const char *fmt, va_list arg);
#else
void do_log _PARMS__( (void) );
void fatal _PARMS__( (void) );
void do_logerr _PARMS__( (void) );
void do_logerr_die _PARMS__( (void) );
int plp_snprintf ();
int vplp_snprintf ();
#endif

#define JABORT 1
EXTERN char *name;
EXTERN int debug;
EXTERN int errorcode;
void Do_stty( int fd, char *Stty_command );

const char * Errormsg ( int err );

#endif /* _COMMON_H */
